// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix


// ---=== Ladderclip ===---

textures/ut4_superstorage/sst_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_superstorage/sst_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_superstorage/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_superstorage/sst_glass_snd
{
	qer_editorimage textures/kittywumpus/kw_glass_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_superstorage/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== My Logo ===---

textures/ut4_superstorage/sst_lhlogo
{
	qer_editorimage textures/ut4_superstorage/lh_logo256.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_superstorage/lh_logo256.tga
		blendFunc blend
	}
}

textures/ut4_superstorage/sst_lhlogob
{
	qer_editorimage textures/ut4_superstorage/lh_logob.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 10

	{
		map textures/ut4_superstorage/lh_logob.tga
		blendFunc blend
	}
}

textures/ut4_superstorage/sst_lhlogor
{
	qer_editorimage textures/ut4_superstorage/lh_logor.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 10

	{
		map textures/ut4_superstorage/lh_logor.tga
		blendFunc blend
	}
}

// ---=== Holopanels ===---

textures/ut4_superstorage/sst_hologo_b
{
	qer_editorimage textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_superstorage/sst_hologo_r
{
	qer_editorimage textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_superstorage/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_superstorage/sst_holop1_b
{
	qer_editorimage textures/ut4_superstorage/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_superstorage/holopanel1/holopanel_b1.jpg textures/ut4_superstorage/holopanel1/holopanel_b1.jpg textures/ut4_superstorage/holopanel1/holopanel_b1.jpg textures/ut4_superstorage/holopanel1/holopanel_b2.jpg textures/ut4_superstorage/holopanel1/holopanel_b1.jpg textures/ut4_superstorage/holopanel1/holopanel_b3.jpg textures/ut4_superstorage/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_superstorage/sst_holop1_r
{
	qer_editorimage textures/ut4_superstorage/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_superstorage/holopanel1/holopanel_r1.jpg textures/ut4_superstorage/holopanel1/holopanel_r1.jpg textures/ut4_superstorage/holopanel1/holopanel_r1.jpg textures/ut4_superstorage/holopanel1/holopanel_r2.jpg textures/ut4_superstorage/holopanel1/holopanel_r1.jpg textures/ut4_superstorage/holopanel1/holopanel_r3.jpg textures/ut4_superstorage/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_superstorage/sst_paw_b
{
	qer_editorimage textures/ut4_superstorage/katprint_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_superstorage/katprint_b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_superstorage/sst_paw_r
{
	qer_editorimage textures/ut4_superstorage/katprint_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_superstorage/katprint_r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_superstorage/e6basicstrip_blue
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_blue.tga
	}
}

textures/ut4_superstorage/e6basicstrip_green
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_green.tga
	}
}

textures/ut4_superstorage/e6basicstrip_orange
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_orange.tga
	}
}

textures/ut4_superstorage/e6basicstrip_purple
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_purple.tga
	}
}

textures/ut4_superstorage/e6basicstrip_red
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_red.tga
	}
}

textures/ut4_superstorage/e6basicstrip_white
{
	qer_editorimage textures/ut4_superstorage/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6basicstrip_white.tga
	}
}

textures/ut4_superstorage/e6tinylight
{
	qer_editorimage textures/ut4_superstorage/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_superstorage/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_superstorage/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_superstorage/e8minitrimlight
{
	qer_editorimage textures/ut4_superstorage/e8minitrimlight.tga
	q3map_lightimage textures/ut4_superstorage/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_superstorage/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_superstorage/e8minitrimlight.blend.tga
		blendfunc add
	}
}

// ---=== No Damage ===---

textures/ut4_superstorage/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

// ---=== Liquids ===---


// ---=== Evil shaders ===---

textures/ut4_superstorage/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_superstorage/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== Clouds/Fog ===---


// ---=== non-solids ===---
